首页 > 系统服务 > 详细

31选7走势图:ubuntu 深度学习cuda环境搭建,docker-nvidia 2019-02

时间:2019-03-02 15:17:48      阅读:3156      评论:0      收藏:0      [点我收藏+]

深圳风采开奖直播 www.nskjr.cn 标签:epm   gree   terms   req   field   where   我没   gen   within   

ubuntu 深度学习cuda环境搭建

ubuntu系统版本 18.04

查看GPU型号(NVS 315 性能很差,比没有强)

首先最好有ssh服务,以下操作都是远程ssh执行

[email protected]:/home/social# lspci | grep -i nvidia
03:00.0 VGA compatible controller: NVIDIA Corporation GF119 [NVS 315] (rev a1)
03:00.1 Audio device: NVIDIA Corporation GF119 HDMI Audio Controller (rev a1)

lspci | grep -i nvidia
查看NVIDIA驱动版本

sudo dpkg --list | grep nvidia-*
一片空白

获取官方驱动

先在这找 没找到
https://www.geforce.cn/drivers
又再这里找,找到了
https://www.nvidia.cn/Download/index.aspx?lang=cn
NVIDIA 驱动程序下载
选项 1: 手动查找适用于我 的NVIDIA 产品的驱动程序。 帮助
产品类型:
产品系列:
产品家族:
操作系统:
下载类型:
语言:

跳至下载页(这是NVS 315的驱动,其他显卡不通用)
https://www.nvidia.cn/Download/driverResults.aspx/137427/cn
下载完成
[email protected]:~$ ls -alh NVIDIA*
-rw-r--r-- 1 social social 79M Dec 7 14:41 NVIDIA-Linux-x86_64-390.87.run

sudo sh NVIDIA-Linux-x86_64-390.87.run
安装报错
One or more modprobe configuration files to disable Nouveau have been written. For some distributions, this may be sufficient to disable Nouveau; other distributions may
require modification of the initial ramdisk. Please reboot your system and attempt NVIDIA driver installation again. Note if you later wish to reenable Nouveau, you will
need to delete these files: /etc/modprobe.d/nvidia-installer-disable-nouveau.conf

查看
[email protected]:/home/social# cat /etc/modprobe.d/nvidia-installer-disable-nouveau.conf
# generated by nvidia-installer
blacklist nouveau
options nouveau modeset=0

nouveau 已由驱动安装程序禁用,但再安装还是失败报同样的信息,因为禁用未生效,Please reboot your system and attempt NVIDIA driver installation again 需重启系统

sudo reboot


继续安装开始安装

安装过程几个依赖包错误,需要gcc make

apt-get install gcc make

再安装

Uncompressing NVIDIA Accelerated Graphics Driver for Linux-x86_64 390.87.........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................


看提示操作,默认一路回车即可,安装显卡驱动还算比较顺利,安装完成后

[email protected]:/home/social# nvidia-
nvidia-bug-report.sh nvidia-cuda-mps-server nvidia-detector nvidia-modprobe nvidia-settings nvidia-uninstall
nvidia-cuda-mps-control nvidia-debugdump nvidia-installer nvidia-persistenced nvidia-smi nvidia-xconfig

[email protected]:/home/social# nvidia-smi
Fri Dec 7 14:59:18 2018
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 390.87 Driver Version: 390.87 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 NVS 315 Off | 00000000:03:00.0 N/A | N/A |
| 30% 43C P8 N/A / N/A | 149MiB / 956MiB | N/A Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes: GPU Memory |
| GPU PID Type Process name Usage |
|=============================================================================|
| 0 Not Supported |
+-----------------------------------------------------------------------------+


尝试nvidia-docker(docker怎么装这就不提了,https://www.tensorflow.org/install/docker,//www.paddlepaddle.org/documentation/docs/zh/develop/beginners_guide/install/index_cn.html,docker是个大趋势,不要再折腾pip了)

安装直接参照 没难度 https://github.com/NVIDIA/nvidia-docker

nvidia-docker 成功

[email protected]:/home/social# docker run --runtime=nvidia --rm nvidia/cuda:9.0-base nvidia-smi
Unable to find image ‘nvidia/cuda:9.0-base‘ locally
9.0-base: Pulling from nvidia/cuda
18d680d61657: Pull complete
0addb6fece63: Pull complete
78e58219b215: Pull complete
eb6959a66df2: Pull complete
6ef1ff668c93: Pull complete
f5f8f0544aa2: Pull complete
3d28d96eb352: Pull complete
Digest: sha256:764039ce9ff2cfb44d646fde6930099493334bb743e5b4f089d820de023c5d9a
Status: Downloaded newer image for nvidia/cuda:9.0-base
Fri Dec 7 07:38:00 2018
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 390.87 Driver Version: 390.87 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 NVS 315 Off | 00000000:03:00.0 N/A | N/A |
| 30% 39C P8 N/A / N/A | 257MiB / 956MiB | N/A Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes: GPU Memory |
| GPU PID Type Process name Usage |
|=============================================================================|
| 0 Not Supported |
+-----------------------------------------------------------------------------+


安装cuda

官方资料

查看显卡是否支持cuda

https://developer.nvidia.com/cuda-gpus

GPU Compute Capability
NVIDIA NVS 810 5.0
NVIDIA NVS 510 3.0
NVIDIA NVS 315 2.1
NVIDIA NVS 310 2.1

NVIDIA NVS 315 2.1 支持(虽然计算能力差了很多)

https://docs.nvidia.com/cuda/cuda-installation-guide-linux/index.html

```
3.6. Ubuntu

Perform the pre-installation actions.
Install repository meta-data
$ sudo dpkg -i cuda-repo-<distro>_<version>_<architecture>.deb
Installing the CUDA public GPG key
When installing using the local repo:

$ sudo apt-key add /var/cuda-repo-<version>/7fa2af80.pub
When installing using network repo on Ubuntu 17.10:

$ sudo apt-key adv --fetch-keys https://developer.download.nvidia.com/compute/cuda/repos/<distro>/<architecture>/7fa2af80.pub
When installing using network repo on Ubuntu 16.04:

$ sudo apt-key adv --fetch-keys //developer.download.nvidia.com/compute/cuda/repos/<distro>/<architecture>/7fa2af80.pub
Update the Apt repository cache
$ sudo apt-get update
Install CUDA
$ sudo apt-get install cuda
Perform the post-installation actions.

```
不过我没这么来,我是这么来的
https://developer.nvidia.com/cuda-downloads?target_os=Linux&target_arch=x86_64&target_distro=Ubuntu&target_version=1804&target_type=debnetwork
```

`sudo dpkg -i cuda-repo-ubuntu1804_10.0.130-1_amd64.deb`
`sudo apt-key adv --fetch-keys https://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64/7fa2af80.pub`
`sudo apt-get update`
`sudo apt-get install cuda`
```
一路顺利

技术分享图片
[email protected]:/home/social# apt-get install cuda
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  build-essential ca-certificates-java cuda-10-0 cuda-command-line-tools-10-0 cuda-compiler-10-0 cuda-cublas-10-0 cuda-cublas-dev-10-0 cuda-cudart-10-0 cuda-cudart-dev-10-0
  cuda-cufft-10-0 cuda-cufft-dev-10-0 cuda-cuobjdump-10-0 cuda-cupti-10-0 cuda-curand-10-0 cuda-curand-dev-10-0 cuda-cusolver-10-0 cuda-cusolver-dev-10-0 cuda-cusparse-10-0
  cuda-cusparse-dev-10-0 cuda-demo-suite-10-0 cuda-documentation-10-0 cuda-driver-dev-10-0 cuda-drivers cuda-gdb-10-0 cuda-gpu-library-advisor-10-0 cuda-libraries-10-0
  cuda-libraries-dev-10-0 cuda-license-10-0 cuda-memcheck-10-0 cuda-misc-headers-10-0 cuda-npp-10-0 cuda-npp-dev-10-0 cuda-nsight-10-0 cuda-nsight-compute-10-0 cuda-nvcc-10-0
  cuda-nvdisasm-10-0 cuda-nvgraph-10-0 cuda-nvgraph-dev-10-0 cuda-nvjpeg-10-0 cuda-nvjpeg-dev-10-0 cuda-nvml-dev-10-0 cuda-nvprof-10-0 cuda-nvprune-10-0 cuda-nvrtc-10-0
  cuda-nvrtc-dev-10-0 cuda-nvtx-10-0 cuda-nvvp-10-0 cuda-runtime-10-0 cuda-samples-10-0 cuda-toolkit-10-0 cuda-tools-10-0 cuda-visual-tools-10-0 default-jre default-jre-headless
  dkms dpkg-dev fakeroot fonts-dejavu-extra freeglut3 freeglut3-dev g++ g++-7 java-common libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
  libatk-wrapper-java libatk-wrapper-java-jni libdpkg-perl libdrm-dev libegl1 libfakeroot libgif7 libgl1 libgl1-mesa-dev libgles1 libgles2 libglu1-mesa-dev libglvnd-core-dev
  libglvnd-dev libglvnd0 libglx0 libice-dev libnvidia-cfg1-410 libnvidia-common-410 libnvidia-compute-410 libnvidia-decode-410 libnvidia-encode-410 libnvidia-fbc1-410
  libnvidia-gl-410 libnvidia-ifr1-410 libopengl0 libpthread-stubs0-dev libsm-dev libstdc++-7-dev libx11-dev libx11-doc libx11-xcb-dev libxau-dev libxcb-dri2-0-dev
  libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxdamage-dev
  libxdmcp-dev libxext-dev libxfixes-dev libxi-dev libxmu-dev libxmu-headers libxnvctrl0 libxshmfence-dev libxt-dev libxxf86vm-dev mesa-common-dev nvidia-compute-utils-410
  nvidia-dkms-410 nvidia-driver-410 nvidia-kernel-common-410 nvidia-kernel-source-410 nvidia-modprobe nvidia-prime nvidia-settings nvidia-utils-410 openjdk-11-jre
  openjdk-11-jre-headless pkg-config screen-resolution-extra x11proto-core-dev x11proto-damage-dev x11proto-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev
  x11proto-input-dev x11proto-xext-dev x11proto-xf86vidmode-dev xorg-sgml-doctools xserver-xorg-video-nvidia-410 xtrans-dev
Suggested packages:
  default-java-plugin menu debian-keyring g++-multilib g++-7-multilib gcc-7-doc libstdc++6-7-dbg bzr libice-doc libsm-doc libstdc++-7-doc libxcb-doc libxext-doc libxt-doc
  fonts-ipafont-gothic fonts-ipafont-mincho fonts-wqy-microhei | fonts-wqy-zenhei
Recommended packages:
  libnvidia-compute-410:i386 libnvidia-decode-410:i386 libnvidia-encode-410:i386 libnvidia-ifr1-410:i386 libnvidia-fbc1-410:i386 libnvidia-gl-410:i386
The following NEW packages will be installed:
  build-essential ca-certificates-java cuda cuda-10-0 cuda-command-line-tools-10-0 cuda-compiler-10-0 cuda-cublas-10-0 cuda-cublas-dev-10-0 cuda-cudart-10-0 cuda-cudart-dev-10-0
  cuda-cufft-10-0 cuda-cufft-dev-10-0 cuda-cuobjdump-10-0 cuda-cupti-10-0 cuda-curand-10-0 cuda-curand-dev-10-0 cuda-cusolver-10-0 cuda-cusolver-dev-10-0 cuda-cusparse-10-0
  cuda-cusparse-dev-10-0 cuda-demo-suite-10-0 cuda-documentation-10-0 cuda-driver-dev-10-0 cuda-drivers cuda-gdb-10-0 cuda-gpu-library-advisor-10-0 cuda-libraries-10-0
  cuda-libraries-dev-10-0 cuda-license-10-0 cuda-memcheck-10-0 cuda-misc-headers-10-0 cuda-npp-10-0 cuda-npp-dev-10-0 cuda-nsight-10-0 cuda-nsight-compute-10-0 cuda-nvcc-10-0
  cuda-nvdisasm-10-0 cuda-nvgraph-10-0 cuda-nvgraph-dev-10-0 cuda-nvjpeg-10-0 cuda-nvjpeg-dev-10-0 cuda-nvml-dev-10-0 cuda-nvprof-10-0 cuda-nvprune-10-0 cuda-nvrtc-10-0
  cuda-nvrtc-dev-10-0 cuda-nvtx-10-0 cuda-nvvp-10-0 cuda-runtime-10-0 cuda-samples-10-0 cuda-toolkit-10-0 cuda-tools-10-0 cuda-visual-tools-10-0 default-jre default-jre-headless
  dkms dpkg-dev fakeroot fonts-dejavu-extra freeglut3 freeglut3-dev g++ g++-7 java-common libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl
  libatk-wrapper-java libatk-wrapper-java-jni libdrm-dev libfakeroot libgif7 libgl1-mesa-dev libgles1 libglu1-mesa-dev libglvnd-core-dev libglvnd-dev libice-dev
  libnvidia-cfg1-410 libnvidia-common-410 libnvidia-compute-410 libnvidia-decode-410 libnvidia-encode-410 libnvidia-fbc1-410 libnvidia-gl-410 libnvidia-ifr1-410 libopengl0
  libpthread-stubs0-dev libsm-dev libstdc++-7-dev libx11-dev libx11-doc libx11-xcb-dev libxau-dev libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev
  libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-sync-dev libxcb-xfixes0-dev libxcb1-dev libxdamage-dev libxdmcp-dev libxext-dev libxfixes-dev libxi-dev
  libxmu-dev libxmu-headers libxnvctrl0 libxshmfence-dev libxt-dev libxxf86vm-dev mesa-common-dev nvidia-compute-utils-410 nvidia-dkms-410 nvidia-driver-410
  nvidia-kernel-common-410 nvidia-kernel-source-410 nvidia-modprobe nvidia-prime nvidia-settings nvidia-utils-410 openjdk-11-jre openjdk-11-jre-headless pkg-config
  screen-resolution-extra x11proto-core-dev x11proto-damage-dev x11proto-dev x11proto-dri2-dev x11proto-fixes-dev x11proto-gl-dev x11proto-input-dev x11proto-xext-dev
  x11proto-xf86vidmode-dev xorg-sgml-doctools xserver-xorg-video-nvidia-410 xtrans-dev
The following packages will be upgraded:
  libdpkg-perl libegl1 libgl1 libgles2 libglvnd0 libglx0
6 upgraded, 141 newly installed, 0 to remove and 189 not upgraded.
Need to get 1488 MB/1488 MB of archives.
After this operation, 3700 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-license-10-0 10.0.130-1 [17.6 kB]
Get:2 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-misc-headers-10-0 10.0.130-1 [640 kB]
Get:3 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libstdc++-7-dev amd64 7.3.0-27ubuntu1~18.04 [1463 kB]
Get:4 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvcc-10-0 10.0.130-1 [20.0 MB]
Get:5 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 g++-7 amd64 7.3.0-27ubuntu1~18.04 [7570 kB]
Get:6 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 g++ amd64 4:7.3.0-3ubuntu2.1 [1572 B]
Get:7 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 dpkg-dev all 1.19.0.5ubuntu2.1 [608 kB]
Get:8 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 build-essential amd64 12.4ubuntu1 [4758 B]
Get:9 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 java-common all 0.63ubuntu1~02 [7032 B]
Get:10 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 openjdk-11-jre-headless amd64 10.0.2+13-1ubuntu0.18.04.4 [39.5 MB]
Get:11 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cuobjdump-10-0 10.0.130-1 [130 kB]
Get:12 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvprune-10-0 10.0.130-1 [36.8 kB]
Get:13 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-compiler-10-0 10.0.130-1 [2538 B]
Get:14 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvdisasm-10-0 10.0.130-1 [22.1 MB]
5% [10 openjdk-11-jre-headless 5263 kB/39.5 MB 13%] [14 cuda-nvdisasm-10-0 6016 kB/22.1 MB 27%]                                                                 583 kB/s 41min 21s

5% [10 openjdk-11-jre-headless 5466 kB/39.5 MB 14%] [14 cuda-nvdisasm-10-0 6230 kB/22.1 MB 28%]                                                                 583 kB/s 41min 20s

Get:15 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-gdb-10-0 10.0.130-1 [2769 kB]
Get:16 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvprof-10-0 10.0.130-1 [5590 kB]
Get:17 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-memcheck-10-0 10.0.130-1 [139 kB]
Get:18 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cudart-10-0 10.0.130-1 [109 kB]
Get:19 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-driver-dev-10-0 10.0.130-1 [12.0 kB]
Get:20 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cudart-dev-10-0 10.0.130-1 [457 kB]
Get:21 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cupti-10-0 10.0.130-1 [1564 kB]
Get:22 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-gpu-library-advisor-10-0 10.0.130-1 [1003 kB]
Get:23 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvtx-10-0 10.0.130-1 [38.9 kB]
Get:24 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-command-line-tools-10-0 10.0.130-1 [26.9 kB]
Get:25 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nsight-10-0 10.0.130-1 [2590 B]
Get:26 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvvp-10-0 10.0.130-1 [2536 B]
Get:27 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvrtc-10-0 10.0.130-1 [5925 kB]
Get:28 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 default-jre-headless amd64 2:1.10-63ubuntu1~02 [3412 B]
Get:29 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 ca-certificates-java all 20180516ubuntu1~18.04.1 [12.2 kB]
Get:30 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libgif7 amd64 5.1.4-2 [30.6 kB]
Get:31 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 openjdk-11-jre amd64 10.0.2+13-1ubuntu0.18.04.4 [53.1 kB]
Get:32 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 default-jre amd64 2:1.10-63ubuntu1~02 [1092 B]
Get:33 http://cn.archive.ubuntu.com/ubuntu bionic/universe amd64 freeglut3 amd64 2.8.1-3 [73.6 kB]
Get:34 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 xorg-sgml-doctools all 1:1.11-1 [12.9 kB]
Get:35 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-dev all 2018.4-4 [251 kB]
Get:36 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvrtc-dev-10-0 10.0.130-1 [9344 B]
Get:37 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cusolver-10-0 10.0.130-1 [38.4 MB]
Get:38 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-core-dev all 2018.4-4 [2620 B]
Get:39 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxau-dev amd64 1:1.0.8-1 [11.1 kB]
Get:40 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxdmcp-dev amd64 1:1.1.2-3 [25.1 kB]
Get:41 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-input-dev all 2018.4-4 [2620 B]
Get:42 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 xtrans-dev all 1.3.5-1 [70.5 kB]
Get:43 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libpthread-stubs0-dev amd64 0.3-4 [4068 B]
Get:44 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb1-dev amd64 1.13-1 [80.0 kB]
Get:45 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-dev amd64 2:1.6.4-3ubuntu0.1 [641 kB]
Get:46 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libdrm-dev amd64 2.4.91-2 [238 kB]
Get:47 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 mesa-common-dev amd64 18.0.5-0ubuntu0~18.04.1 [536 kB]
Get:48 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglvnd-core-dev amd64 1.0.0-2ubuntu2.2 [12.9 kB]
Get:49 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgles1 amd64 1.0.0-2ubuntu2.2 [11.2 kB]
Get:50 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libopengl0 amd64 1.0.0-2ubuntu2.2 [31.3 kB]
Get:51 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libglvnd-dev amd64 1.0.0-2ubuntu2.2 [3408 B]
Get:52 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-xcb-dev amd64 2:1.6.4-3ubuntu0.1 [9764 B]
Get:53 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-dri3-dev amd64 1.13-1 [7368 B]
Get:54 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-render0-dev amd64 1.13-1 [18.4 kB]
Get:55 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-randr0-dev amd64 1.13-1 [20.4 kB]
Get:56 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-shape0-dev amd64 1.13-1 [7144 B]
Get:57 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-xfixes0-dev amd64 1.13-1 [11.7 kB]
Get:58 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-sync-dev amd64 1.13-1 [10.6 kB]
Get:59 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-present-dev amd64 1.13-1 [6968 B]
Get:60 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxshmfence-dev amd64 1.3-1 [3692 B]
Get:61 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-dri2-0-dev amd64 1.13-1 [8476 B]
Get:62 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxcb-glx0-dev amd64 1.13-1 [27.9 kB]
Get:63 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-fixes-dev all 1:2018.4-4 [2620 B]
Get:64 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxfixes-dev amd64 1:5.0.3-1 [11.0 kB]
Get:65 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-damage-dev all 1:2018.4-4 [2620 B]
Get:66 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxdamage-dev amd64 1:1.1.4-3 [5028 B]
Get:67 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-xext-dev all 2018.4-4 [2620 B]
Get:68 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxext-dev amd64 2:1.3.3-1 [82.1 kB]
Get:69 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-xf86vidmode-dev all 2018.4-4 [2632 B]
Get:70 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxxf86vm-dev amd64 1:1.1.4-1 [13.3 kB]
Get:71 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-dri2-dev all 2018.4-4 [2620 B]
Get:72 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 x11proto-gl-dev all 2018.4-4 [2612 B]
Get:73 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libgl1-mesa-dev amd64 18.0.5-0ubuntu0~18.04.1 [4444 B]
Get:74 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libglu1-mesa-dev amd64 9.0.0-2.1build1 [206 kB]
Get:75 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cusolver-dev-10-0 10.0.130-1 [13.2 MB]
Get:76 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libice-dev amd64 2:1.0.9-2 [46.8 kB]
Get:77 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libsm-dev amd64 2:1.2.2-1 [16.2 kB]
Get:78 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxt-dev amd64 1:1.1.5-1 [395 kB]
Get:79 http://cn.archive.ubuntu.com/ubuntu bionic/universe amd64 freeglut3-dev amd64 2.8.1-3 [124 kB]
Get:80 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxmu-headers all 2:1.1.2-2 [54.3 kB]
Get:81 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxmu-dev amd64 2:1.1.2-2 [49.0 kB]
Get:82 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cublas-10-0 10.0.130-1 [30.3 MB]
Get:83 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libxi-dev amd64 2:1.7.9-1 [186 kB]
Get:84 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 dkms all 2.3-3ubuntu9.2 [68.0 kB]
Get:85 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 pkg-config amd64 0.29.1-0ubuntu2 [45.0 kB]
Get:86 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 screen-resolution-extra all 0.17.3 [11.7 kB]
Get:87 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libfakeroot amd64 1.22-2ubuntu1 [25.9 kB]
Get:88 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 fakeroot amd64 1.22-2ubuntu1 [62.3 kB]
Get:89 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 fonts-dejavu-extra all 2.37-1 [1953 kB]
Get:90 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libalgorithm-diff-perl all 1.19.03-1 [47.6 kB]
Get:91 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libalgorithm-diff-xs-perl amd64 0.04-5 [11.1 kB]
Get:92 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libalgorithm-merge-perl all 0.08-3 [12.0 kB]
Get:93 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libatk-wrapper-java all 0.33.3-20ubuntu0.1 [34.7 kB]
Get:94 http://cn.archive.ubuntu.com/ubuntu bionic/main amd64 libatk-wrapper-java-jni amd64 0.33.3-20ubuntu0.1 [28.3 kB]
Get:95 http://cn.archive.ubuntu.com/ubuntu bionic-updates/main amd64 libx11-doc all 2:1.6.4-3ubuntu0.1 [2065 kB]
Get:96 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cublas-dev-10-0 10.0.130-1 [30.8 MB]
Get:97 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cufft-10-0 10.0.130-1 [60.7 MB]
Get:98 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cufft-dev-10-0 10.0.130-1 [124 MB]
Get:99 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-curand-10-0 10.0.130-1 [38.9 MB]
Get:100 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-curand-dev-10-0 10.0.130-1 [58.1 MB]
Get:101 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cusparse-10-0 10.0.130-1 [27.1 MB]
Get:102 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-cusparse-dev-10-0 10.0.130-1 [27.2 MB]
Get:103 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-npp-10-0 10.0.130-1 [54.2 MB]
Get:104 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-npp-dev-10-0 10.0.130-1 [55.0 MB]
Get:105 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvml-dev-10-0 10.0.130-1 [51.6 kB]
Get:106 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvgraph-10-0 10.0.130-1 [12.8 MB]
Get:107 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvgraph-dev-10-0 10.0.130-1 [33.4 MB]
Get:108 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvjpeg-10-0 10.0.130-1 [281 kB]
Get:109 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nvjpeg-dev-10-0 10.0.130-1 [192 kB]
Get:110 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-nsight-compute-10-0 10.0.130-1 [188 MB]
Get:111 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-visual-tools-10-0 10.0.130-1 [394 MB]
72% [111 cuda-visual-tools-10-0 127 MB/394 MB 32%]                                                                                                               536 kB/s 14min 0s


75% [111 cuda-visual-tools-10-0 190 MB/394 MB 48%]                                                                                                              591 kB/s 10min 57s
75% [111 cuda-visual-tools-10-0 190 MB/394 MB 48%]                                                                                                              591 kB/s 10min 56s


Get:112 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-tools-10-0 10.0.130-1 [2498 B]
Get:113 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-samples-10-0 10.0.130-1 [61.5 MB]
Get:114 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-documentation-10-0 10.0.130-1 [52.0 MB]
Get:115 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-libraries-dev-10-0 10.0.130-1 [2606 B]
Get:116 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-toolkit-10-0 10.0.130-1 [2834 B]
Get:117 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-cfg1-410 410.72-0ubuntu1 [70.1 kB]
Get:118 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-common-410 410.72-0ubuntu1 [9808 B]
Get:119 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-compute-410 410.72-0ubuntu1 [20.6 MB]
Get:120 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-decode-410 410.72-0ubuntu1 [1209 kB]
Get:121 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-encode-410 410.72-0ubuntu1 [52.1 kB]
Get:122 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-fbc1-410 410.72-0ubuntu1 [43.5 kB]
Get:123 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-gl-410 410.72-0ubuntu1 [31.3 MB]
Get:124 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libnvidia-ifr1-410 410.72-0ubuntu1 [68.4 kB]
Get:125 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-compute-utils-410 410.72-0ubuntu1 [72.8 kB]
Get:126 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-kernel-source-410 410.72-0ubuntu1 [10.2 MB]
Get:127 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-kernel-common-410 410.72-0ubuntu1 [10.4 kB]
Get:128 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-dkms-410 410.72-0ubuntu1 [26.0 kB]
Get:129 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-utils-410 410.72-0ubuntu1 [333 kB]
Get:130 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  xserver-xorg-video-nvidia-410 410.72-0ubuntu1 [1653 kB]
Get:131 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-driver-410 410.72-0ubuntu1 [394 kB]
Get:132 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-modprobe 410.72-0ubuntu1 [19.1 kB]
Get:133 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  libxnvctrl0 410.72-0ubuntu1 [19.3 kB]
Get:134 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  nvidia-settings 410.72-0ubuntu1 [963 kB]
Get:135 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-drivers 410.72-1 [2568 B]
Get:136 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-libraries-10-0 10.0.130-1 [2586 B]
Get:137 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-runtime-10-0 10.0.130-1 [2540 B]
Get:138 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-demo-suite-10-0 10.0.130-1 [3868 kB]
Get:139 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda-10-0 10.0.130-1 [2562 B]
Get:140 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1804/x86_64  cuda 10.0.130-1 [2514 B]
Fetched 1486 MB in 37min 56s (653 kB/s)
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
  LANGUAGE = (unset),
  LC_ALL = (unset),
  LC_TIME = "zh_CN.UTF-8",
  LC_MONETARY = "zh_CN.UTF-8",
  LC_CTYPE = "UTF-8",
  LC_ADDRESS = "zh_CN.UTF-8",
  LC_TELEPHONE = "zh_CN.UTF-8",
  LC_NAME = "zh_CN.UTF-8",
  LC_MEASUREMENT = "zh_CN.UTF-8",
  LC_IDENTIFICATION = "zh_CN.UTF-8",
  LC_NUMERIC = "zh_CN.UTF-8",
  LC_PAPER = "zh_CN.UTF-8",
  LANG = "en_US.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to a fallback locale ("en_US.UTF-8").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Extracting templates from packages: 100%
Selecting previously unselected package libstdc++-7-dev:amd64.
(Reading database ... 170247 files and directories currently installed.)
Preparing to unpack .../000-libstdc++-7-dev_7.3.0-27ubuntu1~18.04_amd64.deb ...
Unpacking libstdc++-7-dev:amd64 (7.3.0-27ubuntu1~18.04) ...
Selecting previously unselected package g++-7.
Preparing to unpack .../001-g++-7_7.3.0-27ubuntu1~18.04_amd64.deb ...
Unpacking g++-7 (7.3.0-27ubuntu1~18.04) ...
Selecting previously unselected package g++.
Preparing to unpack .../002-g++_4%3a7.3.0-3ubuntu2.1_amd64.deb ...
Unpacking g++ (4:7.3.0-3ubuntu2.1) ...
Preparing to unpack .../003-libdpkg-perl_1.19.0.5ubuntu2.1_all.deb ...
Unpacking libdpkg-perl (1.19.0.5ubuntu2.1) over (1.19.0.5ubuntu2) ...
Selecting previously unselected package dpkg-dev.
Preparing to unpack .../004-dpkg-dev_1.19.0.5ubuntu2.1_all.deb ...
Unpacking dpkg-dev (1.19.0.5ubuntu2.1) ...
Selecting previously unselected package build-essential.
Preparing to unpack .../005-build-essential_12.4ubuntu1_amd64.deb ...
Unpacking build-essential (12.4ubuntu1) ...
Selecting previously unselected package java-common.
Preparing to unpack .../006-java-common_0.63ubuntu1~02_all.deb ...
Unpacking java-common (0.63ubuntu1~02) ...
Selecting previously unselected package openjdk-11-jre-headless:amd64.
Preparing to unpack .../007-openjdk-11-jre-headless_10.0.2+13-1ubuntu0.18.04.4_amd64.deb ...
Unpacking openjdk-11-jre-headless:amd64 (10.0.2+13-1ubuntu0.18.04.4) ...
Selecting previously unselected package default-jre-headless.
Preparing to unpack .../008-default-jre-headless_2%3a1.10-63ubuntu1~02_amd64.deb ...
Unpacking default-jre-headless (2:1.10-63ubuntu1~02) ...
Selecting previously unselected package ca-certificates-java.
Preparing to unpack .../009-ca-certificates-java_20180516ubuntu1~18.04.1_all.deb ...
Unpacking ca-certificates-java (20180516ubuntu1~18.04.1) ...
Selecting previously unselected package cuda-license-10-0.
Preparing to unpack .../010-cuda-license-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-license-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-misc-headers-10-0.
Preparing to unpack .../011-cuda-misc-headers-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-misc-headers-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvcc-10-0.
Preparing to unpack .../012-cuda-nvcc-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvcc-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cuobjdump-10-0.
Preparing to unpack .../013-cuda-cuobjdump-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cuobjdump-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvprune-10-0.
Preparing to unpack .../014-cuda-nvprune-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvprune-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-compiler-10-0.
Preparing to unpack .../015-cuda-compiler-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-compiler-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvdisasm-10-0.
Preparing to unpack .../016-cuda-nvdisasm-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvdisasm-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-gdb-10-0.
Preparing to unpack .../017-cuda-gdb-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-gdb-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvprof-10-0.
Preparing to unpack .../018-cuda-nvprof-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvprof-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-memcheck-10-0.
Preparing to unpack .../019-cuda-memcheck-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-memcheck-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cudart-10-0.
Preparing to unpack .../020-cuda-cudart-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cudart-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-driver-dev-10-0.
Preparing to unpack .../021-cuda-driver-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-driver-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cudart-dev-10-0.
Preparing to unpack .../022-cuda-cudart-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cudart-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cupti-10-0.
Preparing to unpack .../023-cuda-cupti-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cupti-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-gpu-library-advisor-10-0.
Preparing to unpack .../024-cuda-gpu-library-advisor-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-gpu-library-advisor-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvtx-10-0.
Preparing to unpack .../025-cuda-nvtx-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvtx-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-command-line-tools-10-0.
Preparing to unpack .../026-cuda-command-line-tools-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-command-line-tools-10-0 (10.0.130-1) ...
Preparing to unpack .../027-libegl1_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libegl1:amd64 (1.0.0-2ubuntu2.2) over (1.0.0-2ubuntu2.1) ...
Preparing to unpack .../028-libgl1_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libgl1:amd64 (1.0.0-2ubuntu2.2) over (1.0.0-2ubuntu2.1) ...
Preparing to unpack .../029-libglx0_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libglx0:amd64 (1.0.0-2ubuntu2.2) over (1.0.0-2ubuntu2.1) ...
Preparing to unpack .../030-libgles2_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libgles2:amd64 (1.0.0-2ubuntu2.2) over (1.0.0-2ubuntu2.1) ...
Preparing to unpack .../031-libglvnd0_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libglvnd0:amd64 (1.0.0-2ubuntu2.2) over (1.0.0-2ubuntu2.1) ...
Selecting previously unselected package libgif7:amd64.
Preparing to unpack .../032-libgif7_5.1.4-2_amd64.deb ...
Unpacking libgif7:amd64 (5.1.4-2) ...
Selecting previously unselected package openjdk-11-jre:amd64.
Preparing to unpack .../033-openjdk-11-jre_10.0.2+13-1ubuntu0.18.04.4_amd64.deb ...
Unpacking openjdk-11-jre:amd64 (10.0.2+13-1ubuntu0.18.04.4) ...
Selecting previously unselected package default-jre.
Preparing to unpack .../034-default-jre_2%3a1.10-63ubuntu1~02_amd64.deb ...
Unpacking default-jre (2:1.10-63ubuntu1~02) ...
Selecting previously unselected package cuda-nsight-10-0.
Preparing to unpack .../035-cuda-nsight-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nsight-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvvp-10-0.
Preparing to unpack .../036-cuda-nvvp-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvvp-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvrtc-10-0.
Preparing to unpack .../037-cuda-nvrtc-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvrtc-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvrtc-dev-10-0.
Preparing to unpack .../038-cuda-nvrtc-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvrtc-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cusolver-10-0.
Preparing to unpack .../039-cuda-cusolver-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cusolver-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cusolver-dev-10-0.
Preparing to unpack .../040-cuda-cusolver-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cusolver-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cublas-10-0.
Preparing to unpack .../041-cuda-cublas-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cublas-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cublas-dev-10-0.
Preparing to unpack .../042-cuda-cublas-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cublas-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cufft-10-0.
Preparing to unpack .../043-cuda-cufft-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cufft-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cufft-dev-10-0.
Preparing to unpack .../044-cuda-cufft-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cufft-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-curand-10-0.
Preparing to unpack .../045-cuda-curand-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-curand-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-curand-dev-10-0.
Preparing to unpack .../046-cuda-curand-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-curand-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cusparse-10-0.
Preparing to unpack .../047-cuda-cusparse-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cusparse-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-cusparse-dev-10-0.
Preparing to unpack .../048-cuda-cusparse-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-cusparse-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-npp-10-0.
Preparing to unpack .../049-cuda-npp-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-npp-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-npp-dev-10-0.
Preparing to unpack .../050-cuda-npp-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-npp-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvml-dev-10-0.
Preparing to unpack .../051-cuda-nvml-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvml-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvgraph-10-0.
Preparing to unpack .../052-cuda-nvgraph-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvgraph-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvgraph-dev-10-0.
Preparing to unpack .../053-cuda-nvgraph-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvgraph-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvjpeg-10-0.
Preparing to unpack .../054-cuda-nvjpeg-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvjpeg-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nvjpeg-dev-10-0.
Preparing to unpack .../055-cuda-nvjpeg-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nvjpeg-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-nsight-compute-10-0.
Preparing to unpack .../056-cuda-nsight-compute-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-nsight-compute-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-visual-tools-10-0.
Preparing to unpack .../057-cuda-visual-tools-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-visual-tools-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-tools-10-0.
Preparing to unpack .../058-cuda-tools-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-tools-10-0 (10.0.130-1) ...
Selecting previously unselected package freeglut3:amd64.
Preparing to unpack .../059-freeglut3_2.8.1-3_amd64.deb ...
Unpacking freeglut3:amd64 (2.8.1-3) ...
Selecting previously unselected package xorg-sgml-doctools.
Preparing to unpack .../060-xorg-sgml-doctools_1%3a1.11-1_all.deb ...
Unpacking xorg-sgml-doctools (1:1.11-1) ...
Selecting previously unselected package x11proto-dev.
Preparing to unpack .../061-x11proto-dev_2018.4-4_all.deb ...
Unpacking x11proto-dev (2018.4-4) ...
Selecting previously unselected package x11proto-core-dev.
Preparing to unpack .../062-x11proto-core-dev_2018.4-4_all.deb ...
Unpacking x11proto-core-dev (2018.4-4) ...
Selecting previously unselected package libxau-dev:amd64.
Preparing to unpack .../063-libxau-dev_1%3a1.0.8-1_amd64.deb ...
Unpacking libxau-dev:amd64 (1:1.0.8-1) ...
Selecting previously unselected package libxdmcp-dev:amd64.
Preparing to unpack .../064-libxdmcp-dev_1%3a1.1.2-3_amd64.deb ...
Unpacking libxdmcp-dev:amd64 (1:1.1.2-3) ...
Selecting previously unselected package x11proto-input-dev.
Preparing to unpack .../065-x11proto-input-dev_2018.4-4_all.deb ...
Unpacking x11proto-input-dev (2018.4-4) ...
Selecting previously unselected package xtrans-dev.
Preparing to unpack .../066-xtrans-dev_1.3.5-1_all.deb ...
Unpacking xtrans-dev (1.3.5-1) ...
Selecting previously unselected package libpthread-stubs0-dev:amd64.
Preparing to unpack .../067-libpthread-stubs0-dev_0.3-4_amd64.deb ...
Unpacking libpthread-stubs0-dev:amd64 (0.3-4) ...
Selecting previously unselected package libxcb1-dev:amd64.
Preparing to unpack .../068-libxcb1-dev_1.13-1_amd64.deb ...
Unpacking libxcb1-dev:amd64 (1.13-1) ...
Selecting previously unselected package libx11-dev:amd64.
Preparing to unpack .../069-libx11-dev_2%3a1.6.4-3ubuntu0.1_amd64.deb ...
Unpacking libx11-dev:amd64 (2:1.6.4-3ubuntu0.1) ...
Selecting previously unselected package libdrm-dev:amd64.
Preparing to unpack .../070-libdrm-dev_2.4.91-2_amd64.deb ...
Unpacking libdrm-dev:amd64 (2.4.91-2) ...
Selecting previously unselected package mesa-common-dev:amd64.
Preparing to unpack .../071-mesa-common-dev_18.0.5-0ubuntu0~18.04.1_amd64.deb ...
Unpacking mesa-common-dev:amd64 (18.0.5-0ubuntu0~18.04.1) ...
Selecting previously unselected package libglvnd-core-dev:amd64.
Preparing to unpack .../072-libglvnd-core-dev_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libglvnd-core-dev:amd64 (1.0.0-2ubuntu2.2) ...
Selecting previously unselected package libgles1:amd64.
Preparing to unpack .../073-libgles1_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libgles1:amd64 (1.0.0-2ubuntu2.2) ...
Selecting previously unselected package libopengl0:amd64.
Preparing to unpack .../074-libopengl0_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libopengl0:amd64 (1.0.0-2ubuntu2.2) ...
Selecting previously unselected package libglvnd-dev:amd64.
Preparing to unpack .../075-libglvnd-dev_1.0.0-2ubuntu2.2_amd64.deb ...
Unpacking libglvnd-dev:amd64 (1.0.0-2ubuntu2.2) ...
Selecting previously unselected package libx11-xcb-dev:amd64.
Preparing to unpack .../076-libx11-xcb-dev_2%3a1.6.4-3ubuntu0.1_amd64.deb ...
Unpacking libx11-xcb-dev:amd64 (2:1.6.4-3ubuntu0.1) ...
Selecting previously unselected package libxcb-dri3-dev:amd64.
Preparing to unpack .../077-libxcb-dri3-dev_1.13-1_amd64.deb ...
Unpacking libxcb-dri3-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxcb-render0-dev:amd64.
Preparing to unpack .../078-libxcb-render0-dev_1.13-1_amd64.deb ...
Unpacking libxcb-render0-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxcb-randr0-dev:amd64.
Preparing to unpack .../079-libxcb-randr0-dev_1.13-1_amd64.deb ...
Unpacking libxcb-randr0-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxcb-shape0-dev:amd64.
Preparing to unpack .../080-libxcb-shape0-dev_1.13-1_amd64.deb ...
Unpacking libxcb-shape0-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxcb-xfixes0-dev:amd64.
Preparing to unpack .../081-libxcb-xfixes0-dev_1.13-1_amd64.deb ...
Unpacking libxcb-xfixes0-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxcb-sync-dev:amd64.
Preparing to unpack .../082-libxcb-sync-dev_1.13-1_amd64.deb ...
Unpacking libxcb-sync-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxcb-present-dev:amd64.
Preparing to unpack .../083-libxcb-present-dev_1.13-1_amd64.deb ...
Unpacking libxcb-present-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxshmfence-dev:amd64.
Preparing to unpack .../084-libxshmfence-dev_1.3-1_amd64.deb ...
Unpacking libxshmfence-dev:amd64 (1.3-1) ...
Selecting previously unselected package libxcb-dri2-0-dev:amd64.
Preparing to unpack .../085-libxcb-dri2-0-dev_1.13-1_amd64.deb ...
Unpacking libxcb-dri2-0-dev:amd64 (1.13-1) ...
Selecting previously unselected package libxcb-glx0-dev:amd64.
Preparing to unpack .../086-libxcb-glx0-dev_1.13-1_amd64.deb ...
Unpacking libxcb-glx0-dev:amd64 (1.13-1) ...
Selecting previously unselected package x11proto-fixes-dev.
Preparing to unpack .../087-x11proto-fixes-dev_1%3a2018.4-4_all.deb ...
Unpacking x11proto-fixes-dev (1:2018.4-4) ...
Selecting previously unselected package libxfixes-dev:amd64.
Preparing to unpack .../088-libxfixes-dev_1%3a5.0.3-1_amd64.deb ...
Unpacking libxfixes-dev:amd64 (1:5.0.3-1) ...
Selecting previously unselected package x11proto-damage-dev.
Preparing to unpack .../089-x11proto-damage-dev_1%3a2018.4-4_all.deb ...
Unpacking x11proto-damage-dev (1:2018.4-4) ...
Selecting previously unselected package libxdamage-dev:amd64.
Preparing to unpack .../090-libxdamage-dev_1%3a1.1.4-3_amd64.deb ...
Unpacking libxdamage-dev:amd64 (1:1.1.4-3) ...
Selecting previously unselected package x11proto-xext-dev.
Preparing to unpack .../091-x11proto-xext-dev_2018.4-4_all.deb ...
Unpacking x11proto-xext-dev (2018.4-4) ...
Selecting previously unselected package libxext-dev:amd64.
Preparing to unpack .../092-libxext-dev_2%3a1.3.3-1_amd64.deb ...
Unpacking libxext-dev:amd64 (2:1.3.3-1) ...
Selecting previously unselected package x11proto-xf86vidmode-dev.
Preparing to unpack .../093-x11proto-xf86vidmode-dev_2018.4-4_all.deb ...
Unpacking x11proto-xf86vidmode-dev (2018.4-4) ...
Selecting previously unselected package libxxf86vm-dev:amd64.
Preparing to unpack .../094-libxxf86vm-dev_1%3a1.1.4-1_amd64.deb ...
Unpacking libxxf86vm-dev:amd64 (1:1.1.4-1) ...
Selecting previously unselected package x11proto-dri2-dev.
Preparing to unpack .../095-x11proto-dri2-dev_2018.4-4_all.deb ...
Unpacking x11proto-dri2-dev (2018.4-4) ...
Selecting previously unselected package x11proto-gl-dev.
Preparing to unpack .../096-x11proto-gl-dev_2018.4-4_all.deb ...
Unpacking x11proto-gl-dev (2018.4-4) ...
Selecting previously unselected package libgl1-mesa-dev:amd64.
Preparing to unpack .../097-libgl1-mesa-dev_18.0.5-0ubuntu0~18.04.1_amd64.deb ...
Unpacking libgl1-mesa-dev:amd64 (18.0.5-0ubuntu0~18.04.1) ...
Selecting previously unselected package libglu1-mesa-dev:amd64.
Preparing to unpack .../098-libglu1-mesa-dev_9.0.0-2.1build1_amd64.deb ...
Unpacking libglu1-mesa-dev:amd64 (9.0.0-2.1build1) ...
Selecting previously unselected package libice-dev:amd64.
Preparing to unpack .../099-libice-dev_2%3a1.0.9-2_amd64.deb ...
Unpacking libice-dev:amd64 (2:1.0.9-2) ...
Selecting previously unselected package libsm-dev:amd64.
Preparing to unpack .../100-libsm-dev_2%3a1.2.2-1_amd64.deb ...
Unpacking libsm-dev:amd64 (2:1.2.2-1) ...
Selecting previously unselected package libxt-dev:amd64.
Preparing to unpack .../101-libxt-dev_1%3a1.1.5-1_amd64.deb ...
Unpacking libxt-dev:amd64 (1:1.1.5-1) ...
Selecting previously unselected package freeglut3-dev:amd64.
Preparing to unpack .../102-freeglut3-dev_2.8.1-3_amd64.deb ...
Unpacking freeglut3-dev:amd64 (2.8.1-3) ...
Selecting previously unselected package libxmu-headers.
Preparing to unpack .../103-libxmu-headers_2%3a1.1.2-2_all.deb ...
Unpacking libxmu-headers (2:1.1.2-2) ...
Selecting previously unselected package libxmu-dev:amd64.
Preparing to unpack .../104-libxmu-dev_2%3a1.1.2-2_amd64.deb ...
Unpacking libxmu-dev:amd64 (2:1.1.2-2) ...
Selecting previously unselected package libxi-dev:amd64.
Preparing to unpack .../105-libxi-dev_2%3a1.7.9-1_amd64.deb ...
Unpacking libxi-dev:amd64 (2:1.7.9-1) ...
Selecting previously unselected package cuda-samples-10-0.
Preparing to unpack .../106-cuda-samples-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-samples-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-documentation-10-0.
Preparing to unpack .../107-cuda-documentation-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-documentation-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-libraries-dev-10-0.
Preparing to unpack .../108-cuda-libraries-dev-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-libraries-dev-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-toolkit-10-0.
Preparing to unpack .../109-cuda-toolkit-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-toolkit-10-0 (10.0.130-1) ...
Selecting previously unselected package libnvidia-cfg1-410:amd64.
Preparing to unpack .../110-libnvidia-cfg1-410_410.72-0ubuntu1_amd64.deb ...
Unpacking libnvidia-cfg1-410:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package libnvidia-common-410.
Preparing to unpack .../111-libnvidia-common-410_410.72-0ubuntu1_all.deb ...
Unpacking libnvidia-common-410 (410.72-0ubuntu1) ...
Selecting previously unselected package libnvidia-compute-410:amd64.
Preparing to unpack .../112-libnvidia-compute-410_410.72-0ubuntu1_amd64.deb ...
Unpacking libnvidia-compute-410:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package libnvidia-decode-410:amd64.
Preparing to unpack .../113-libnvidia-decode-410_410.72-0ubuntu1_amd64.deb ...
Unpacking libnvidia-decode-410:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package libnvidia-encode-410:amd64.
Preparing to unpack .../114-libnvidia-encode-410_410.72-0ubuntu1_amd64.deb ...
Unpacking libnvidia-encode-410:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package libnvidia-fbc1-410:amd64.
Preparing to unpack .../115-libnvidia-fbc1-410_410.72-0ubuntu1_amd64.deb ...
Unpacking libnvidia-fbc1-410:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package libnvidia-gl-410:amd64.
Preparing to unpack .../116-libnvidia-gl-410_410.72-0ubuntu1_amd64.deb ...
dpkg-query: no packages found matching libnvidia-gl-390
Unpacking libnvidia-gl-410:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package libnvidia-ifr1-410:amd64.
Preparing to unpack .../117-libnvidia-ifr1-410_410.72-0ubuntu1_amd64.deb ...
Unpacking libnvidia-ifr1-410:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package nvidia-compute-utils-410.
Preparing to unpack .../118-nvidia-compute-utils-410_410.72-0ubuntu1_amd64.deb ...
Unpacking nvidia-compute-utils-410 (410.72-0ubuntu1) ...
Selecting previously unselected package dkms.
Preparing to unpack .../119-dkms_2.3-3ubuntu9.2_all.deb ...
Unpacking dkms (2.3-3ubuntu9.2) ...
Selecting previously unselected package nvidia-kernel-source-410.
Preparing to unpack .../120-nvidia-kernel-source-410_410.72-0ubuntu1_amd64.deb ...
Unpacking nvidia-kernel-source-410 (410.72-0ubuntu1) ...
Selecting previously unselected package nvidia-kernel-common-410.
Preparing to unpack .../121-nvidia-kernel-common-410_410.72-0ubuntu1_amd64.deb ...
Unpacking nvidia-kernel-common-410 (410.72-0ubuntu1) ...
Selecting previously unselected package nvidia-dkms-410.
Preparing to unpack .../122-nvidia-dkms-410_410.72-0ubuntu1_amd64.deb ...

WARNING: Your driver installation has been altered since it was initially installed; this may happen, for example, if you have since installed the NVIDIA driver through a
         mechanism other than nvidia-installer (such as your distributions native package management system).  nvidia-installer will attempt to uninstall as best it can.  Please
         see the file /var/log/nvidia-uninstall.log for details.


WARNING: Failed to delete some directories. See /var/log/nvidia-uninstall.log for details.

Unpacking nvidia-dkms-410 (410.72-0ubuntu1) ...
Selecting previously unselected package nvidia-utils-410.
Preparing to unpack .../123-nvidia-utils-410_410.72-0ubuntu1_amd64.deb ...
Unpacking nvidia-utils-410 (410.72-0ubuntu1) ...
Selecting previously unselected package xserver-xorg-video-nvidia-410.
Preparing to unpack .../124-xserver-xorg-video-nvidia-410_410.72-0ubuntu1_amd64.deb ...
Unpacking xserver-xorg-video-nvidia-410 (410.72-0ubuntu1) ...
Selecting previously unselected package nvidia-driver-410.
Preparing to unpack .../125-nvidia-driver-410_410.72-0ubuntu1_amd64.deb ...
Unpacking nvidia-driver-410 (410.72-0ubuntu1) ...
Selecting previously unselected package nvidia-modprobe.
Preparing to unpack .../126-nvidia-modprobe_410.72-0ubuntu1_amd64.deb ...
Unpacking nvidia-modprobe (410.72-0ubuntu1) ...
Selecting previously unselected package pkg-config.
Preparing to unpack .../127-pkg-config_0.29.1-0ubuntu2_amd64.deb ...
Unpacking pkg-config (0.29.1-0ubuntu2) ...
Selecting previously unselected package screen-resolution-extra.
Preparing to unpack .../128-screen-resolution-extra_0.17.3_all.deb ...
Unpacking screen-resolution-extra (0.17.3) ...
Selecting previously unselected package libxnvctrl0:amd64.
Preparing to unpack .../129-libxnvctrl0_410.72-0ubuntu1_amd64.deb ...
Unpacking libxnvctrl0:amd64 (410.72-0ubuntu1) ...
Selecting previously unselected package nvidia-settings.
Preparing to unpack .../130-nvidia-settings_410.72-0ubuntu1_amd64.deb ...
Unpacking nvidia-settings (410.72-0ubuntu1) ...
Selecting previously unselected package cuda-drivers.
Preparing to unpack .../131-cuda-drivers_410.72-1_amd64.deb ...
Unpacking cuda-drivers (410.72-1) ...
Selecting previously unselected package cuda-libraries-10-0.
Preparing to unpack .../132-cuda-libraries-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-libraries-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-runtime-10-0.
Preparing to unpack .../133-cuda-runtime-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-runtime-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-demo-suite-10-0.
Preparing to unpack .../134-cuda-demo-suite-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-demo-suite-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda-10-0.
Preparing to unpack .../135-cuda-10-0_10.0.130-1_amd64.deb ...
Unpacking cuda-10-0 (10.0.130-1) ...
Selecting previously unselected package cuda.
Preparing to unpack .../136-cuda_10.0.130-1_amd64.deb ...
Unpacking cuda (10.0.130-1) ...
Selecting previously unselected package libfakeroot:amd64.
Preparing to unpack .../137-libfakeroot_1.22-2ubuntu1_amd64.deb ...
Unpacking libfakeroot:amd64 (1.22-2ubuntu1) ...
Selecting previously unselected package fakeroot.
Preparing to unpack .../138-fakeroot_1.22-2ubuntu1_amd64.deb ...
Unpacking fakeroot (1.22-2ubuntu1) ...
Selecting previously unselected package fonts-dejavu-extra.
Preparing to unpack .../139-fonts-dejavu-extra_2.37-1_all.deb ...
Unpacking fonts-dejavu-extra (2.37-1) ...
Selecting previously unselected package libalgorithm-diff-perl.
Preparing to unpack .../140-libalgorithm-diff-perl_1.19.03-1_all.deb ...
Unpacking libalgorithm-diff-perl (1.19.03-1) ...
Selecting previously unselected package libalgorithm-diff-xs-perl.
Preparing to unpack .../141-libalgorithm-diff-xs-perl_0.04-5_amd64.deb ...
Unpacking libalgorithm-diff-xs-perl (0.04-5) ...
Selecting previously unselected package libalgorithm-merge-perl.
Preparing to unpack .../142-libalgorithm-merge-perl_0.08-3_all.deb ...
Unpacking libalgorithm-merge-perl (0.08-3) ...
Selecting previously unselected package libatk-wrapper-java.
Preparing to unpack .../143-libatk-wrapper-java_0.33.3-20ubuntu0.1_all.deb ...
Unpacking libatk-wrapper-java (0.33.3-20ubuntu0.1) ...
Selecting previously unselected package libatk-wrapper-java-jni:amd64.
Preparing to unpack .../144-libatk-wrapper-java-jni_0.33.3-20ubuntu0.1_amd64.deb ...
Unpacking libatk-wrapper-java-jni:amd64 (0.33.3-20ubuntu0.1) ...
Selecting previously unselected package libx11-doc.
Preparing to unpack .../145-libx11-doc_2%3a1.6.4-3ubuntu0.1_all.deb ...
Unpacking libx11-doc (2:1.6.4-3ubuntu0.1) ...
Selecting previously unselected package nvidia-prime.
Preparing to unpack .../146-nvidia-prime_0.8.8.2_all.deb ...
Unpacking nvidia-prime (0.8.8.2) ...
Setting up libglvnd0:amd64 (1.0.0-2ubuntu2.2) ...
Setting up libopengl0:amd64 (1.0.0-2ubuntu2.2) ...
Setting up freeglut3:amd64 (2.8.1-3) ...
Setting up libnvidia-cfg1-410:amd64 (410.72-0ubuntu1) ...
Setting up libgles1:amd64 (1.0.0-2ubuntu2.2) ...
Setting up nvidia-prime (0.8.8.2) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Setting up libxshmfence-dev:amd64 (1.3-1) ...
Processing triggers for desktop-file-utils (0.23-1ubuntu3.18.04.1) ...
Setting up libpthread-stubs0-dev:amd64 (0.3-4) ...
Setting up libdrm-dev:amd64 (2.4.91-2) ...
Setting up xorg-sgml-doctools (1:1.11-1) ...
Setting up java-common (0.63ubuntu1~02) ...
Setting up libdpkg-perl (1.19.0.5ubuntu2.1) ...
Setting up libgif7:amd64 (5.1.4-2) ...
Setting up nvidia-kernel-source-410 (410.72-0ubuntu1) ...
Setting up x11proto-dev (2018.4-4) ...
Setting up libstdc++-7-dev:amd64 (7.3.0-27ubuntu1~18.04) ...
Setting up libegl1:amd64 (1.0.0-2ubuntu2.2) ...
Setting up x11proto-damage-dev (1:2018.4-4) ...
Setting up xtrans-dev (1.3.5-1) ...
Setting up dpkg-dev (1.19.0.5ubuntu2.1) ...
Setting up x11proto-xext-dev (2018.4-4) ...
Setting up dkms (2.3-3ubuntu9.2) ...
Setting up libxdmcp-dev:amd64 (1:1.1.2-3) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Setting up libnvidia-common-410 (410.72-0ubuntu1) ...
Setting up libice-dev:amd64 (2:1.0.9-2) ...
Setting up libfakeroot:amd64 (1.22-2ubuntu1) ...
Setting up screen-resolution-extra (0.17.3) ...
Setting up x11proto-gl-dev (2018.4-4) ...
Setting up nvidia-modprobe (410.72-0ubuntu1) ...
Setting up xserver-xorg-video-nvidia-410 (410.72-0ubuntu1) ...
Setting up cuda-license-10-0 (10.0.130-1) ...
*** LICENSE AGREEMENT ***
By using this software you agree to fully comply with the terms and
conditions of the EULA (End User License Agreement). The EULA is located
at /usr/local/cuda-10.0/doc/EULA.txt. The EULA can also be found at
http://docs.nvidia.com/cuda/eula/index.html. If you do not agree to the
terms and conditions of the EULA, do not use the software.

Setting up libalgorithm-diff-perl (1.19.03-1) ...
Setting up libx11-doc (2:1.6.4-3ubuntu0.1) ...
Setting up libgles2:amd64 (1.0.0-2ubuntu2.2) ...
Processing triggers for man-db (2.8.3-2) ...
Setting up nvidia-kernel-common-410 (410.72-0ubuntu1) ...
update-initramfs: deferring update (trigger activated)
Created symlink /etc/systemd/system/multi-user.target.wants/nvidia-fallback.service → /lib/systemd/system/nvidia-fallback.service.
Processing triggers for gnome-menus (3.13.3-11ubuntu1) ...
Setting up cuda-nvdisasm-10-0 (10.0.130-1) ...
Setting up cuda-nvml-dev-10-0 (10.0.130-1) ...
Processing triggers for dbus (1.12.2-1ubuntu1) ...
Setting up fonts-dejavu-extra (2.37-1) ...
Setting up cuda-nvprof-10-0 (10.0.130-1) ...
Setting up libnvidia-compute-410:amd64 (410.72-0ubuntu1) ...
Processing triggers for ca-certificates (20180409) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
Setting up libatk-wrapper-java (0.33.3-20ubuntu0.1) ...
Setting up cuda-nvrtc-10-0 (10.0.130-1) ...
Setting up libglx0:amd64 (1.0.0-2ubuntu2.2) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Setting up cuda-nvtx-10-0 (10.0.130-1) ...
Setting up libglvnd-core-dev:amd64 (1.0.0-2ubuntu2.2) ...
Setting up x11proto-input-dev (2018.4-4) ...
Setting up libxnvctrl0:amd64 (410.72-0ubuntu1) ...
Processing triggers for fontconfig (2.12.6-0ubuntu2) ...
Setting up cuda-nvgraph-10-0 (10.0.130-1) ...
Setting up x11proto-dri2-dev (2018.4-4) ...
Setting up cuda-nvprune-10-0 (10.0.130-1) ...
Setting up nvidia-compute-utils-410 (410.72-0ubuntu1) ...
Warning: The home dir /nonexistent you specified cant be accessed: No such file or directory
Adding system user `nvidia-persistenced (UID 123) ...
Adding new group `nvidia-persistenced (GID 127) ...
Adding new user `nvidia-persistenced (UID 123) with group `nvidia-persistenced ...
Not creating home directory `/nonexistent.
Setting up libsm-dev:amd64 (2:1.2.2-1) ...
Setting up x11proto-core-dev (2018.4-4) ...
Setting up cuda-cusparse-10-0 (10.0.130-1) ...
Setting up cuda-cuobjdump-10-0 (10.0.130-1) ...
Setting up cuda-nvjpeg-10-0 (10.0.130-1) ...
Setting up cuda-gdb-10-0 (10.0.130-1) ...
Setting up g++-7 (7.3.0-27ubuntu1~18.04) ...
Setting up cuda-nvjpeg-dev-10-0 (10.0.130-1) ...
Setting up cuda-cufft-10-0 (10.0.130-1) ...
Setting up cuda-nsight-compute-10-0 (10.0.130-1) ...
Setting up cuda-cudart-10-0 (10.0.130-1) ...
Setting up x11proto-fixes-dev (1:2018.4-4) ...
Setting up cuda-npp-10-0 (10.0.130-1) ...
Setting up cuda-cufft-dev-10-0 (10.0.130-1) ...
Setting up x11proto-xf86vidmode-dev (2018.4-4) ...
Setting up libxau-dev:amd64 (1:1.0.8-1) ...
Setting up nvidia-dkms-410 (410.72-0ubuntu1) ...
update-initramfs: deferring update (trigger activated)

A modprobe blacklist file has been created at /etc/modprobe.d to prevent Nouveau
from loading. This can be reverted by deleting the following file:
/etc/modprobe.d/nvidia-graphics-drivers.conf

A new initrd image has also been created. To revert, please regenerate your
initrd by running the following command after deleting the modprobe.d file:
`/usr/sbin/initramfs -u`

*****************************************************************************
*** Reboot your computer and verify that the NVIDIA graphics driver can   ***
*** be loaded.                                                            ***
*****************************************************************************

INFO:Enable nvidia
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/dell_latitude
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/lenovo_thinkpad
DEBUG:Parsing /usr/share/ubuntu-drivers-common/quirks/put_your_quirks_here
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Loading new nvidia-410.72 DKMS files...
Building for 4.15.0-42-generic
Building for architecture x86_64
Building initial module for 4.15.0-42-generic
Generating a 2048 bit RSA private key
................................................................................+++
....................+++
writing new private key to /var/lib/shim-signed/mok/MOK.priv
-----
Secure Boot not enabled on this system.
Done.

nvidia:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-42-generic/updates/dkms/

nvidia-modeset.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-42-generic/updates/dkms/

nvidia-drm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-42-generic/updates/dkms/

nvidia-uvm.ko:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/4.15.0-42-generic/updates/dkms/

depmod...

DKMS: install completed.
Setting up fakeroot (1.22-2ubuntu1) ...
update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode
Setting up cuda-cusolver-10-0 (10.0.130-1) ...
Setting up cuda-misc-headers-10-0 (10.0.130-1) ...
Setting up cuda-curand-10-0 (10.0.130-1) ...
Setting up libalgorithm-merge-perl (0.08-3) ...
Setting up cuda-driver-dev-10-0 (10.0.130-1) ...
Setting up pkg-config (0.29.1-0ubuntu2) ...
Setting up cuda-gpu-library-advisor-10-0 (10.0.130-1) ...
Setting up libatk-wrapper-java-jni:amd64 (0.33.3-20ubuntu0.1) ...
Setting up libalgorithm-diff-xs-perl (0.04-5) ...
Setting up cuda-cublas-10-0 (10.0.130-1) ...
Setting up cuda-nvgraph-dev-10-0 (10.0.130-1) ...
Setting up cuda-cudart-dev-10-0 (10.0.130-1) ...
Setting up cuda-memcheck-10-0 (10.0.130-1) ...
Setting up libnvidia-decode-410:amd64 (410.72-0ubuntu1) ...
Setting up libgl1:amd64 (1.0.0-2ubuntu2.2) ...
Setting up nvidia-utils-410 (410.72-0ubuntu1) ...
Setting up cuda-nvrtc-dev-10-0 (10.0.130-1) ...
Setting up libxcb1-dev:amd64 (1.13-1) ...
Setting up libxcb-glx0-dev:amd64 (1.13-1) ...
Setting up g++ (4:7.3.0-3ubuntu2.1) ...
update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
Setting up cuda-npp-dev-10-0 (10.0.130-1) ...
Setting up libx11-dev:amd64 (2:1.6.4-3ubuntu0.1) ...
Setting up libxxf86vm-dev:amd64 (1:1.1.4-1) ...
Setting up libxfixes-dev:amd64 (1:5.0.3-1) ...
Setting up cuda-curand-dev-10-0 (10.0.130-1) ...
Setting up libxcb-sync-dev:amd64 (1.13-1) ...
Setting up cuda-cusparse-dev-10-0 (10.0.130-1) ...
Setting up cuda-cusolver-dev-10-0 (10.0.130-1) ...
Setting up libnvidia-gl-410:amd64 (410.72-0ubuntu1) ...
Setting up libx11-xcb-dev:amd64 (2:1.6.4-3ubuntu0.1) ...
Setting up cuda-cublas-dev-10-0 (10.0.130-1) ...
Setting up libxt-dev:amd64 (1:1.1.5-1) ...
Setting up cuda-libraries-dev-10-0 (10.0.130-1) ...
Setting up mesa-common-dev:amd64 (18.0.5-0ubuntu0~18.04.1) ...
Setting up build-essential (12.4ubuntu1) ...
Setting up libnvidia-ifr1-410:amd64 (410.72-0ubuntu1) ...
Setting up libxmu-headers (2:1.1.2-2) ...
Setting up libxdamage-dev:amd64 (1:1.1.4-3) ...
Setting up libnvidia-fbc1-410:amd64 (410.72-0ubuntu1) ...
Setting up libnvidia-encode-410:amd64 (410.72-0ubuntu1) ...
Setting up cuda-libraries-10-0 (10.0.130-1) ...
Setting up libglvnd-dev:amd64 (1.0.0-2ubuntu2.2) ...
Setting up nvidia-settings (410.72-0ubuntu1) ...
Setting up libxcb-dri2-0-dev:amd64 (1.13-1) ...
Setting up libxcb-render0-dev:amd64 (1.13-1) ...
Setting up libxcb-dri3-dev:amd64 (1.13-1) ...
Setting up libxext-dev:amd64 (2:1.3.3-1) ...
Setting up libxcb-shape0-dev:amd64 (1.13-1) ...
Setting up nvidia-driver-410 (410.72-0ubuntu1) ...
Setting up libxi-dev:amd64 (2:1.7.9-1) ...
Setting up cuda-nvcc-10-0 (10.0.130-1) ...
Setting up libxcb-randr0-dev:amd64 (1.13-1) ...
Setting up libxmu-dev:amd64 (2:1.1.2-2) ...
Setting up libxcb-xfixes0-dev:amd64 (1.13-1) ...
Setting up cuda-cupti-10-0 (10.0.130-1) ...
Setting up cuda-command-line-tools-10-0 (10.0.130-1) ...
Setting up cuda-drivers (410.72-1) ...
Setting up libxcb-present-dev:amd64 (1.13-1) ...
Setting up cuda-compiler-10-0 (10.0.130-1) ...
Setting up cuda-runtime-10-0 (10.0.130-1) ...
Setting up cuda-demo-suite-10-0 (10.0.130-1) ...
Setting up libgl1-mesa-dev:amd64 (18.0.5-0ubuntu0~18.04.1) ...
Setting up libglu1-mesa-dev:amd64 (9.0.0-2.1build1) ...
Setting up freeglut3-dev:amd64 (2.8.1-3) ...
Setting up cuda-samples-10-0 (10.0.130-1) ...
Setting up cuda-documentation-10-0 (10.0.130-1) ...
Setting up openjdk-11-jre-headless:amd64 (10.0.2+13-1ubuntu0.18.04.4) ...
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/rmid to provide /usr/bin/rmid (rmid) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/java to provide /usr/bin/java (java) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/keytool to provide /usr/bin/keytool (keytool) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/jjs to provide /usr/bin/jjs (jjs) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/pack200 to provide /usr/bin/pack200 (pack200) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/rmiregistry to provide /usr/bin/rmiregistry (rmiregistry) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/unpack200 to provide /usr/bin/unpack200 (unpack200) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/orbd to provide /usr/bin/orbd (orbd) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/servertool to provide /usr/bin/servertool (servertool) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/bin/tnameserv to provide /usr/bin/tnameserv (tnameserv) in auto mode
update-alternatives: using /usr/lib/jvm/java-11-openjdk-amd64/lib/jexec to provide /usr/bin/jexec (jexec) in auto mode
Setting up default-jre-headless (2:1.10-63ubuntu1~02) ...
Setting up openjdk-11-jre:amd64 (10.0.2+13-1ubuntu0.18.04.4) ...
Setting up ca-certificates-java (20180516ubuntu1~18.04.1) ...
head: cannot open /etc/ssl/certs/java/cacerts for reading: No such file or directory
Adding debian:ACCVRAIZ1.pem
Adding debian:AC_RAIZ_FNMT-RCM.pem
Adding debian:Actalis_Authentication_Root_CA.pem
Adding debian:AddTrust_External_Root.pem
Adding debian:AffirmTrust_Commercial.pem
Adding debian:AffirmTrust_Networking.pem
Adding debian:AffirmTrust_Premium.pem
Adding debian:AffirmTrust_Premium_ECC.pem
Adding debian:Amazon_Root_CA_1.pem
Adding debian:Amazon_Root_CA_2.pem
Adding debian:Amazon_Root_CA_3.pem
Adding debian:Amazon_Root_CA_4.pem
Adding debian:Atos_TrustedRoot_2011.pem
Adding debian:Autoridad_de_Certificacion_Firmaprofesional_CIF_A62634068.pem
Adding debian:Baltimore_CyberTrust_Root.pem
Adding debian:Buypass_Class_2_Root_CA.pem
Adding debian:Buypass_Class_3_Root_CA.pem
Adding debian:CA_Disig_Root_R2.pem
Adding debian:CFCA_EV_ROOT.pem
Adding debian:COMODO_Certification_Authority.pem
Adding debian:COMODO_ECC_Certification_Authority.pem
Adding debian:COMODO_RSA_Certification_Authority.pem
Adding debian:Certigna.pem
Adding debian:Certinomis_-_Root_CA.pem
Adding debian:Certplus_Class_2_Primary_CA.pem
Adding debian:Certplus_Root_CA_G1.pem
Adding debian:Certplus_Root_CA_G2.pem
Adding debian:Certum_Trusted_Network_CA.pem
Adding debian:Certum_Trusted_Network_CA_2.pem
Adding debian:Chambers_of_Commerce_Root_-_2008.pem
Adding debian:Comodo_AAA_Services_root.pem
Adding debian:Cybertrust_Global_Root.pem
Adding debian:D-TRUST_Root_Class_3_CA_2_2009.pem
Adding debian:D-TRUST_Root_Class_3_CA_2_EV_2009.pem
Adding debian:DST_Root_CA_X3.pem
Adding debian:Deutsche_Telekom_Root_CA_2.pem
Adding debian:DigiCert_Assured_ID_Root_CA.pem
Adding debian:DigiCert_Assured_ID_Root_G2.pem
Adding debian:DigiCert_Assured_ID_Root_G3.pem
Adding debian:DigiCert_Global_Root_CA.pem
Adding debian:DigiCert_Global_Root_G2.pem
Adding debian:DigiCert_Global_Root_G3.pem
Adding debian:DigiCert_High_Assurance_EV_Root_CA.pem
Adding debian:DigiCert_Trusted_Root_G4.pem
Adding debian:E-Tugra_Certification_Authority.pem
Adding debian:EC-ACC.pem
Adding debian:EE_Certification_Centre_Root_CA.pem
Adding debian:Entrust.net_Premium_2048_Secure_Server_CA.pem
Adding debian:Entrust_Root_Certification_Authority.pem
Adding debian:Entrust_Root_Certification_Authority_-_EC1.pem
Adding debian:Entrust_Root_Certification_Authority_-_G2.pem
Adding debian:GDCA_TrustAUTH_R5_ROOT.pem
Adding debian:GeoTrust_Global_CA.pem
Adding debian:GeoTrust_Primary_Certification_Authority.pem
Adding debian:GeoTrust_Primary_Certification_Authority_-_G2.pem
Adding debian:GeoTrust_Primary_Certification_Authority_-_G3.pem
Adding debian:GeoTrust_Universal_CA.pem
Adding debian:GeoTrust_Universal_CA_2.pem
Adding debian:GlobalSign_ECC_Root_CA_-_R4.pem
Adding debian:GlobalSign_ECC_Root_CA_-_R5.pem
Adding debian:GlobalSign_Root_CA.pem
Adding debian:GlobalSign_Root_CA_-_R2.pem
Adding debian:GlobalSign_Root_CA_-_R3.pem
Adding debian:Global_Chambersign_Root_-_2008.pem
Adding debian:Go_Daddy_Class_2_CA.pem
Adding debian:Go_Daddy_Root_Certificate_Authority_-_G2.pem
Adding debian:Hellenic_Academic_and_Research_Institutions_ECC_RootCA_2015.pem
Adding debian:Hellenic_Academic_and_Research_Institutions_RootCA_2011.pem
Adding debian:Hellenic_Academic_and_Research_Institutions_RootCA_2015.pem
Adding debian:Hongkong_Post_Root_CA_1.pem
Adding debian:ISRG_Root_X1.pem
Adding debian:IdenTrust_Commercial_Root_CA_1.pem
Adding debian:IdenTrust_Public_Sector_Root_CA_1.pem
Adding debian:Izenpe.com.pem
Adding debian:LuxTrust_Global_Root_2.pem
Adding debian:Microsec_e-Szigno_Root_CA_2009.pem
Adding debian:NetLock_Arany_=Class_Gold=_F?tanúsítvány.pem
Adding debian:Network_Solutions_Certificate_Authority.pem
Adding debian:OISTE_WISeKey_Global_Root_GA_CA.pem
Adding debian:OISTE_WISeKey_Global_Root_GB_CA.pem
Adding debian:OpenTrust_Root_CA_G1.pem
Adding debian:OpenTrust_Root_CA_G2.pem
Adding debian:OpenTrust_Root_CA_G3.pem
Adding debian:QuoVadis_Root_CA.pem
Adding debian:QuoVadis_Root_CA_1_G3.pem
Adding debian:QuoVadis_Root_CA_2.pem
Adding debian:QuoVadis_Root_CA_2_G3.pem
Adding debian:QuoVadis_Root_CA_3.pem
Adding debian:QuoVadis_Root_CA_3_G3.pem
Adding debian:SSL.com_EV_Root_Certification_Authority_ECC.pem
Adding debian:SSL.com_EV_Root_Certification_Authority_RSA_R2.pem
Adding debian:SSL.com_Root_Certification_Authority_ECC.pem
Adding debian:SSL.com_Root_Certification_Authority_RSA.pem
Adding debian:SZAFIR_ROOT_CA2.pem
Adding debian:SecureSign_RootCA11.pem
Adding debian:SecureTrust_CA.pem
Adding debian:Secure_Global_CA.pem
Adding debian:Security_Communication_RootCA2.pem
Adding debian:Security_Communication_Root_CA.pem
Adding debian:Sonera_Class_2_Root_CA.pem
Adding debian:Staat_der_Nederlanden_EV_Root_CA.pem
Adding debian:Staat_der_Nederlanden_Root_CA_-_G2.pem
Adding debian:Staat_der_Nederlanden_Root_CA_-_G3.pem
Adding debian:Starfield_Class_2_CA.pem
Adding debian:Starfield_Root_Certificate_Authority_-_G2.pem
Adding debian:Starfield_Services_Root_Certificate_Authority_-_G2.pem
Adding debian:SwissSign_Gold_CA_-_G2.pem
Adding debian:SwissSign_Silver_CA_-_G2.pem
Adding debian:T-TeleSec_GlobalRoot_Class_2.pem
Adding debian:T-TeleSec_GlobalRoot_Class_3.pem
Adding debian:TUBITAK_Kamu_SM_SSL_Kok_Sertifikasi_-_Surum_1.pem
Adding debian:TWCA_Global_Root_CA.pem
Adding debian:TWCA_Root_Certification_Authority.pem
Adding debian:Taiwan_GRCA.pem
Adding debian:TeliaSonera_Root_CA_v1.pem
Adding debian:TrustCor_ECA-1.pem
Adding debian:TrustCor_RootCert_CA-1.pem
Adding debian:TrustCor_RootCert_CA-2.pem
Adding debian:Trustis_FPS_Root_CA.pem
Adding debian:TÜRKTRUST_Elektronik_Sertifika_Hizmet_Sa?lay?c?s?_H5.pem
Adding debian:USERTrust_ECC_Certification_Authority.pem
Adding debian:USERTrust_RSA_Certification_Authority.pem
Adding debian:VeriSign_Class_3_Public_Primary_Certification_Authority_-_G4.pem
Adding debian:VeriSign_Class_3_Public_Primary_Certification_Authority_-_G5.pem
Adding debian:VeriSign_Universal_Root_Certification_Authority.pem
Adding debian:Verisign_Class_3_Public_Primary_Certification_Authority_-_G3.pem
Adding debian:Visa_eCommerce_Root.pem
Adding debian:XRamp_Global_CA_Root.pem
Adding debian:certSIGN_ROOT_CA.pem
Adding debian:ePKI_Root_Certification_Authority.pem
Adding debian:thawte_Primary_Root_CA.pem
Adding debian:thawte_Primary_Root_CA_-_G2.pem
Adding debian:thawte_Primary_Root_CA_-_G3.pem
Adding debian:ssl-cert-snakeoil.pem
done.
Setting up default-jre (2:1.10-63ubuntu1~02) ...
Setting up cuda-nvvp-10-0 (10.0.130-1) ...
Setting up cuda-nsight-10-0 (10.0.130-1) ...
Setting up cuda-visual-tools-10-0 (10.0.130-1) ...
Setting up cuda-tools-10-0 (10.0.130-1) ...
Setting up cuda-toolkit-10-0 (10.0.130-1) ...
Setting up cuda-10-0 (10.0.130-1) ...
Setting up cuda (10.0.130-1) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for initramfs-tools (0.130ubuntu3.1) ...
update-initramfs: Generating /boot/initrd.img-4.15.0-42-generic
Processing triggers for ca-certificates (20180409) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...

done.
done.
View Code

 


[email protected]:/home/social# apt-get install cuda
Reading package lists... Done
Building dependency tree
Reading state information... Done
cuda is already the newest version (10.0.130-1).
0 upgraded, 0 newly installed, 0 to remove and 185 not upgraded.

cuda安装成功,看到一个报警信息,有点担心
```
WARNING: Your driver installation has been altered since it was initially installed; this may happen, for example, if you have since installed the NVIDIA driver through a
mechanism other than nvidia-installer (such as your distribution‘s native package management system). nvidia-installer will attempt to uninstall as best it can. Please
see the file ‘/var/log/nvidia-uninstall.log‘ for details.
```

果然cuda安装好了,但驱动出问题了

[email protected]:/home/social# nvidia-smi
Failed to initialize NVML: Driver/library version mismatch

重启,还是不行

又试了一些办法,不行,转念一想,再重新安装驱动不就好了

sudo sh NVIDIA-Linux-x86_64-390.87.run

```
NVIDIA Accelerated Graphics Driver for Linux-x86_64 (390.87)


The NVIDIA driver appears to have been installed previously using a different installer. To prevent potential conflicts, it is recommended either to update the existing
installation using the same mechanism by which it was originally installed, or to uninstall the existing installation before installing this driver.

Please review the message provided by the maintainer of this alternate installation method and decide how to proceed:

Continue installation Abort installation

The package that is already installed is named nvidia-410-410.

You can upgrade the driver by running:
`apt-get install nvidia-410-410`

You can remove nvidia-410-410, and all related packages, by running:
`apt-get remove --purge nvidia-410`
`apt-get autoremove`

This package is maintained by NVIDIA ([email protected]).
````

提示和之前安装时不一样

试了试 apt-get install nvidia-410-410

没反应

[email protected]:/home/social# apt-get install nvidia-410-410
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package nvidia-410-410

按提示又把驱动重新装了一遍,驱动就ok了,暂时还不确定有没有别的隐患

https://www.nvidia.cn/object/unix-cn.html
驱动包是390.87 安装完cuda成了 410.78

[email protected]:/home/social# nvidia-smi
Mon Dec 10 18:10:21 2018
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 390.87 Driver Version: 390.87 |
|-------------------------------+----------------------+----------------------+
| GPU Name Persistence-M| Bus-Id Disp.A | Volatile Uncorr. ECC |
| Fan Temp Perf Pwr:Usage/Cap| Memory-Usage | GPU-Util Compute M. |
|===============================+======================+======================|
| 0 NVS 315 Off | 00000000:03:00.0 N/A | N/A |
| 30% 44C P0 N/A / N/A | 0MiB / 956MiB | N/A Default |
+-------------------------------+----------------------+----------------------+

+-----------------------------------------------------------------------------+
| Processes: GPU Memory |
| GPU PID Type Process name Usage |
|=============================================================================|
| 0 Not Supported |
+-----------------------------------------------------------------------------+


[email protected]:~$ sudo dpkg --list | grep nvidia-*
ii libnvidia-cfg1-410:amd64 410.72-0ubuntu1 amd64 NVIDIA binary OpenGL/GLX configuration library
ii libnvidia-common-410 410.72-0ubuntu1 all Shared files used by the NVIDIA libraries
ii libnvidia-compute-410:amd64 410.72-0ubuntu1 amd64 NVIDIA libcompute package
ii libnvidia-container-tools 1.0.0-1 amd64 NVIDIA container runtime library (command-line tools)
ii libnvidia-container1:amd64 1.0.0-1 amd64 NVIDIA container runtime library
ii libnvidia-decode-410:amd64 410.72-0ubuntu1 amd64 NVIDIA Video Decoding runtime libraries
ii libnvidia-encode-410:amd64 410.72-0ubuntu1 amd64 NVENC Video Encoding runtime library
ii libnvidia-fbc1-410:amd64 410.72-0ubuntu1 amd64 NVIDIA OpenGL-based Framebuffer Capture runtime library
ii libnvidia-gl-410:amd64 410.72-0ubuntu1 amd64 NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
ii libnvidia-ifr1-410:amd64 410.72-0ubuntu1 amd64 NVIDIA OpenGL-based Inband Frame Readback runtime library
ii nvidia-compute-utils-410 410.72-0ubuntu1 amd64 NVIDIA compute utilities
ii nvidia-container-runtime 2.0.0+docker18.09.0-1 amd64 NVIDIA container runtime
ii nvidia-container-runtime-hook 1.4.0-1 amd64 NVIDIA container runtime hook
ii nvidia-dkms-410 410.72-0ubuntu1 amd64 NVIDIA DKMS package
ii nvidia-docker2 2.0.3+docker18.09.0-1 all nvidia-docker CLI wrapper
ii nvidia-driver-410 410.72-0ubuntu1 amd64 NVIDIA driver metapackage
ii nvidia-kernel-common-410 410.72-0ubuntu1 amd64 Shared files used with the kernel module
ii nvidia-kernel-source-410 410.72-0ubuntu1 amd64 NVIDIA kernel source package
ii nvidia-modprobe 410.72-0ubuntu1 amd64 Load the NVIDIA kernel driver and create device files
ii nvidia-prime 0.8.8.2 all Tools to enable NVIDIA‘s Prime
ii nvidia-settings 410.72-0ubuntu1 amd64 Tool for configuring the NVIDIA graphics driver
ii nvidia-utils-410 410.72-0ubuntu1 amd64 NVIDIA driver support binaries
ii xserver-xorg-video-nvidia-410 410.72-0ubuntu1 amd64 NVIDIA binary Xorg driver

 

来试试tf
https://www.tensorflow.org/install/docker

docker images
tensorflow/tensorflow latest-gpu-py3 413b9533f92a 4 weeks ago 3.35GB
tensorflow/tensorflow latest-gpu 58a8e83b7dbf 4 weeks ago 3.36GB

docker run -d --name tf --network host tensorflow/tensorflow:latest-gpu-py3 tail -f /dev/null

docker exec -it tf bash

python -c "import tensorflow as tf; tf.enable_eager_execution(); print(tf.reduce_sum(tf.random_normal([1000, 1000])))"


悲剧
```
[email protected]:/notebooks# python -c "import tensorflow as tf; tf.enable_eager_execution(); print(tf.reduce_sum(tf.random_normal([1000, 1000])))"
Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module(‘_pywrap_tensorflow_internal‘, fp, pathname, description)
File "/usr/lib/python3.5/imp.py", line 242, in load_module
return load_dynamic(name, filename, file)
File "/usr/lib/python3.5/imp.py", line 342, in load_dynamic
return _load(spec)
ImportError: libcuda.so.1: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "<string>", line 1, in <module>
File "/usr/local/lib/python3.5/dist-packages/tensorflow/__init__.py", line 24, in <module>
from tensorflow.python import pywrap_tensorflow # pylint: disable=unused-import
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/__init__.py", line 49, in <module>
from tensorflow.python import pywrap_tensorflow
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/pywrap_tensorflow.py", line 74, in <module>
raise ImportError(msg)
ImportError: Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/pywrap_tensorflow.py", line 58, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
_mod = imp.load_module(‘_pywrap_tensorflow_internal‘, fp, pathname, description)
File "/usr/lib/python3.5/imp.py", line 242, in load_module
return load_dynamic(name, filename, file)
File "/usr/lib/python3.5/imp.py", line 342, in load_dynamic
return _load(spec)
ImportError: libcuda.so.1: cannot open shared object file: No such file or directory


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/errors

for some common reasons and solutions. Include the entire stack trace
above this error message when asking for help.
```


试试

[email protected]:~$ nvidia-docker run -d --name tf --network host tensorflow/tensorflow:latest-gpu-py3 tail -f /dev/null
fea5d3f35ef0e78a0b12e632cf01c7715b4ecbaaa9e41c17670cb1e0622e9456
docker: Error response from daemon: OCI runtime create failed: container_linux.go:348: starting container process caused "process_linux.go:402: container init caused \"process_linux.go:385: running prestart hook 0 caused \\\"error running hook: exit status 1, stdout: , stderr: exec command: [/usr/bin/nvidia-container-cli --load-kmods configure [email protected]/sbin/ldconfig.real --device=all --compute --utility --require=cuda>=9.0 --pid=19947 /var/lib/docker/overlay2/42911504b76163ad4e55fc14c80468e03520225541b54a85260044a80d437007/merged]\\\\nnvidia-container-cli: mount error: mount operation failed: /var/lib/docker/overlay2/42911504b76163ad4e55fc14c80468e03520225541b54a85260044a80d437007/merged/proc/driver/nvidia/params/version/registry: no such file or directory\\\\n\\\"\"": unknown.


发现提示

https://www.tensorflow.org/install/docker
Note: nvidia-docker v1 uses the nvidia-docker alias, where v2 uses docker --runtime=nvidia.


[email protected]:~$ nvidia-docker version
NVIDIA Docker: 2.0.3
Client:
Version: 18.09.0
API version: 1.39
Go version: go1.10.4
Git commit: 4d60db4
Built: Wed Nov 7 00:49:01 2018
OS/Arch: linux/amd64
Experimental: false

Server: Docker Engine - Community
Engine:
Version: 18.09.0
API version: 1.39 (minimum version 1.12)
Go version: go1.10.4
Git commit: 4d60db4
Built: Wed Nov 7 00:16:44 2018
OS/Arch: linux/amd64
Experimental: false

NVIDIA Docker: 2.0.3


docker run --runtime=nvidia -d --name tf --network host tensorflow/tensorflow:latest-gpu-py3 tail -f /dev/null
[email protected]:~$ docker run --runtime=nvidia -d --name tf --network host tensorflow/tensorflow:latest-gpu-py3 tail -f /dev/null
8a20529be6e7e20c01288cc1ed6fafe233969ef61cb76a421fa29176d518b11c
docker: Error response from daemon: OCI runtime create failed: container_linux.go:348: starting container process caused "process_linux.go:402: container init caused \"process_linux.go:385: running prestart hook 0 caused \\\"error running hook: exit status 1, stdout: , stderr: exec command: [/usr/bin/nvidia-container-cli --load-kmods configure [email protected]/sbin/ldconfig.real --device=all --compute --utility --require=cuda>=9.0 --pid=30024 /var/lib/docker/overlay2/c59d9603e5e78e1fe64f5784d201b3fc558045b31cfdc98d0405117efaacd76a/merged]\\\\nnvidia-container-cli: mount error: mount operation failed: /var/lib/docker/overlay2/c59d9603e5e78e1fe64f5784d201b3fc558045b31cfdc98d0405117efaacd76a/merged/proc/driver/nvidia/params/version/registry: no such file or directory\\\\n\\\"\"": unknown.

还是不行

试着重启systemctl restart docker

问题依旧,直觉可能是nvidia-docker的问题

[email protected]:/home/social# docker run --runtime=nvidia --rm nvidia/cuda:9.0-base nvidia-smi
同样报错,之前的操作是成功了的,果然是nvidia-docker的问题

忽然想起一点,我是先装的nvidia-docker 后装的cuda 又因为驱动异常,重装了驱动,会不会是这个原因?

重装nvidia-docker试试

apt-get remove nvidia-docker2
apt-get install nvidia-docker2

执行 [email protected]:/home/social# docker run --runtime=nvidia --rm nvidia/cuda:9.0-base nvidia-smi
成功

[email protected]:~$ docker run --runtime=nvidia -d --name tf --network host tensorflow/tensorflow:latest-gpu-py3 tail -f /dev/null
0f320d9be09d0678f224ecbf9b2b396763477bd1187455feec690f5bdafe6016
[email protected]:~$ docker ps
CONTAINER ID IMAGE COMMAND CREATED STATUS PORTS NAMES
0f320d9be09d tensorflow/tensorflow:latest-gpu-py3 "tail -f /dev/null" 16 seconds ago Up 13 seconds tf


成功
docker exec -it tf bash
python -c "import tensorflow as tf; tf.enable_eager_execution(); print(tf.reduce_sum(tf.random_normal([1000, 1000])))"

 

[email protected]:/notebooks# python -c "import tensorflow as tf; tf.enable_eager_execution(); print(tf.reduce_sum(tf.random_normal([1000, 1000])))"
2018-12-10 10:58:11.922409: I tensorflow/core/platform/cpu_feature_guard.cc:141] Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2 FMA
2018-12-10 10:58:12.162344: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1432] Found device 0 with properties:
name: NVS 315 major: 2 minor: 1 memoryClockRate(GHz): 1.046
pciBusID: 0000:03:00.0
totalMemory: 956.19MiB freeMemory: 876.19MiB
2018-12-10 10:58:12.162384: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1482] Ignoring visible gpu device (device: 0, name: NVS 315, pci bus id: 0000:03:00.0, compute capability: 2.1) with Cuda compute capability 2.1. The minimum required Cuda capability is 3.5.
2018-12-10 10:58:12.162399: I tensorflow/core/common_runtime/gpu/gpu_device.cc:982] Device interconnect StreamExecutor with strength 1 edge matrix:
2018-12-10 10:58:12.162414: I tensorflow/core/common_runtime/gpu/gpu_device.cc:988] 0
2018-12-10 10:58:12.162432: I tensorflow/core/common_runtime/gpu/gpu_device.cc:1001] 0: N
tf.Tensor(926.7046, shape=(), dtype=float32)
[email protected]:/notebooks#

 

Ignoring visible gpu device (device: 0, name: NVS 315, pci bus id: 0000:03:00.0, compute capability: 2.1) with Cuda compute capability 2.1. The minimum required Cuda capability is 3.5.

因为计算能力不够,现gpu 2.1,cuda最小需求3.5,gpu被ignore了

不过看这样子,gpu驱动和cuda,nvidia是ok了


安装建议是
ssd、docker、driver、cuda、nvidia-docker
...

——————————
发现新问题

再启动docker run --runtime=nvidia --rm nvidia/cuda:9.0-base nvidia-smi 又报错了

直觉可能还是nvidia-docker的问题

尝试

docker stop tf
docker run --runtime=nvidia --rm nvidia/cuda:9.0-base nvidia-smi 则又ok

原来之前搞错了,nvidia-docker启动容器异常,也许不是安装cuda顺序的问题,而是nvidia-docker容器只能有一个能正常

如果已经执行了一个nvidia-docker容器 那么再启动新的nvidia-docker都会失败

若先stop原来的nvidia-docker,再启动新的nvidia-docker,则新容器正常

这个问题也先记下,看有没有办法解除只有单容器正常的限制

FIN

ubuntu 深度学习cuda环境搭建,docker-nvidia 2019-02

标签:epm   gree   terms   req   field   where   我没   gen   within   

原文:https://www.cnblogs.com/zihunqingxin/p/10461035.html

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
? 2014 深圳风采开奖直播 版权所有 鲁ICP备09046678号-4
打开技术之扣,分享程序人生!
             

鲁公网安备 37021202000002号

  • 价值-热门标签-华商生活 2019-05-19
  • 以古鉴今,习近平多次提及屈原 2019-05-18
  • 候选企业:内蒙古蒙草生态环境(集团)股份有限公司 2019-05-18
  • 埃里克森:中国将成为足球大国 15年内能进四强 2019-05-17
  • 审计署:19万套房子空置 数百亿元资金闲置 2019-05-17
  • 广东清远黑臭水体整治弄虚作假 6名责任人被立案调查 2019-05-16
  • 推动实现更高质量和更充分就业 2019-05-15
  • 暴雨突袭石泉 干部背群众转移到安全地带 2019-05-15
  • 人体-热门标签-华商生活 2019-05-14
  • 改革开放40载,互联网的发展风云激荡 2019-05-14
  • 杭州高新区(滨江):“智慧社区”助推社区治理服务创新 2019-05-13
  • 法治中国,走向更美好的明天(砥砺奋进的五年·全面依法治国) 2019-05-13
  • 斯柯达速派2017年上半年累计销量同比上涨36% 2019-05-12
  • 浙江台州副市长出庭应诉民告官案 称要作表率 2019-05-12
  • 罗品禧的专栏作者中国国家地理网 2019-05-11
  • 134| 462| 922| 600| 672| 798| 544| 39| 688| 449|